EOFException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.io
Class EOFException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  java.io.EOFException

All Implemented Interfaces:
  Serializable

    public class EOFException

extends IOException

Signals that an end of file or end of stream has been reached unexpectedly during input.

This exception is mainly used by data input streams to signal end of stream. Note that many other input operations return a special value on end of stream rather than throwing an exception.

Since:
  JDK1.0
Version:
  1.9, 02/02/00
Author:
  Frank Yellin
See Also:
  `DataInputStream`, `IOException`, Serialized Form

Constructor Summary
`EOFException()` Constructs an `EOFException` with `null` as its error detail message.
`EOFException(String s)` Constructs an `EOFException` with the specified detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EOFException

    public EOFException()

  Constructs an `EOFException` with `null` as its error detail message.

### EOFException

    public EOFException(String s)

  Constructs an `EOFException` with the specified detail message. The string `s` may later be retrieved by the ``Throwable.getMessage()`` method of class `java.lang.Throwable`.

  Parameters:
    `s` - the detail message.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD